Page MenuHomePhabricator

Add support to homograph words with distinct pronunciations
Closed, ResolvedPublic

Description

Currently, if you tried to record two homograph words (that share the same written form), the second one will override the first one. This becomes an issue when they don't share the same pronunciation (which is not so rare).

For example in French, the word fils (a boy, pronounced ' fis' ) and fils (wires, pronounced 'fill').

The solution currently being considered is to append inside brackets a sort of qualifier for those words, which will appear in the title of the file in Commons, in the description of the wikibase item on Lingua Libre; but it should be removed in the transcription field in the description of the file on Commons and shown in a different color/size/.. inside the recording studio.

The file name will look like:

LL-Q150 (fra)-0x010C-fils (pluriel de fil).wav

Event Timeline

0x010C created this task.May 30 2018, 10:17 AM
Yug updated the task description. (Show Details)May 31 2018, 3:41 AM
Yug renamed this task from Add support to homograph words to Add support to homograph words with distinct pronunciations.May 31 2018, 3:48 AM
Yug added a subscriber: Yug.EditedMay 31 2018, 3:55 AM

A hack for the recording user or team would be to simply name the item to record fils (pluriel de fil) and to read the proper word only.

An other stricter approach would be to state a property such alternative: pluriel de fil, pass this into metadata (#T196038) AND pass this selected metadata when existing into file name.

0x010C closed this task as Resolved.May 31 2018, 4:14 PM

A qualifier can now be appended to homograph words to precise their meaning, in the following format: "transcription (qualifier)"
If someone think this is not enough to manage every use-cases, just reopen this task.

See the related commit https://github.com/lingua-libre/RecordWizard/commit/fa142ad8b819f9f7e2de3259f499db9e2b301d19.

Vvjjkkii renamed this task from Add support to homograph words with distinct pronunciations to 7zbaaaaaaa.Jul 1 2018, 1:07 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed 0x010C as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
CommunityTechBot renamed this task from 7zbaaaaaaa to Add support to homograph words with distinct pronunciations.Jul 2 2018, 4:27 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to 0x010C.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)